Bug 1305660 - rosegarden 15.10.2 bug
rosegarden 15.10.2 bug
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: rosegarden4 (Show other bugs)
23
All Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Brendan Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-08 15:29 EST by carlo
Modified: 2016-12-20 13:32 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:32:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description carlo 2016-02-08 15:29:04 EST
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Setting graphics system for Qt 4.5+ to: native
Thorn - true
System Locale: it_IT
Qt translations path: /usr/share/qt4/translations
Qt translations not loaded.
RG Translation: trying to load :locale/it_IT
RG Translations loaded successfully.
Loaded application icon "rg-rwb-rose3-16x16"
Loaded application icon "rg-rwb-rose3-32x32"
Loaded application icon "rg-rwb-rose3-48x48"
Loaded application icon "rg-rwb-rose3-64x64"
Loaded application icon "rg-rwb-rose3-128x128"
NOTE: Found stylesheet at ":/rosegarden.qss", applying it
AlsaDriver::AlsaDriver [begin]
Rosegarden 15.10.1 - AlsaDriver [ALSA library version 1.0.29, module version 4.3.3-303.fc23.x86_64, kernel version 4.3.3-303.fc23.x86_64]
PluginFactory::instance(dssi): creating new DSSIPluginFactory
LADSPAPluginFactory::discoverPlugins - discovering plugins; path is [/home/carlo/.dssi] [/usr/local/lib/dssi] [/usr/lib/dssi] [/usr/local/lib64/dssi] [/usr/lib64/dssi] 
Cannot connect to server socket err = Connessione rifiutata
Cannot connect to server request channel
jackdmp 1.9.10
Copyright 2001-2005 Paul Davis and others.
Copyright 2004-2014 Grame.
jackdmp comes with ABSOLUTELY NO WARRANTY
This is free software, and you are welcome to redistribute it
under certain conditions; see the file COPYING for details
Cannot create RT messagebuffer thread: Operation not permitted (1)
Retrying messagebuffer thread without RT scheduling
Messagebuffer not realtime; consider enabling RT scheduling for user
no message buffer overruns
Cannot create RT messagebuffer thread: Operation not permitted (1)
Retrying messagebuffer thread without RT scheduling
Messagebuffer not realtime; consider enabling RT scheduling for user
no message buffer overruns
Cannot create RT messagebuffer thread: Operation not permitted (1)
Retrying messagebuffer thread without RT scheduling
Messagebuffer not realtime; consider enabling RT scheduling for user
no message buffer overruns
WARNING: DSSIPluginFactory::discoverPlugins: couldn't dlopen /usr/lib64/dssi/whysynth.so - /usr/lib64/dssi/whysynth.so: undefined symbol: dssp_voicelist_mutex_lock
LADSPAPluginFactory::discoverPlugins - done
PluginFactory::instance(ladspa): creating new LADSPAPluginFactory
LADSPAPluginFactory::discoverPlugins - discovering plugins; path is [/home/carlo/.ladspa] [/usr/local/lib/ladspa] [/usr/lib/ladspa] [/usr/local/lib64/ladspa] [/usr/lib64/ladspa] 
JACK server starting in realtime mode with priority 60
self-connect-mode is "Don't restrict self connect requests"
Cannot lock down 42435354 byte memory area (Cannot allocate memory)
audio_reservation_init
Acquire audio card Audio0
creating alsa driver ... hw:0,0|hw:0,0|1024|2|48000|0|0|nomon|swmeter|-|32bit
configuring for 48000Hz, period = 1024 frames (21.3 ms), buffer = 2 periods
ALSA: final selected sample format for capture: 32bit integer little-endian
ALSA: use 2 periods for capture
ALSA: final selected sample format for playback: 32bit integer little-endian
ALSA: use 2 periods for playback
Using port names patch v0.1 (07.04.2010)
Trying to load portnames from /home/carlo/.config/jack/cards/HDA ATI SB.ss.ports.in
Trying to load portnames from /home/carlo/.config/jack/cards/HDA ATI SB.ports.in
Trying to load portnames from /etc/jack/cards/HDA ATI SB.ss.ports.in
Trying to load portnames from /etc/jack/cards/HDA ATI SB.ports.in
Trying to load portnames from /home/carlo/.config/jack/cards/HDA ATI SB.ss.ports.out
Trying to load portnames from /home/carlo/.config/jack/cards/HDA ATI SB.ports.out
Trying to load portnames from /etc/jack/cards/HDA ATI SB.ss.ports.out
Trying to load portnames from /etc/jack/cards/HDA ATI SB.ports.out
Cannot use real-time scheduling (RR/60)(1: Operation not permitted)
AcquireSelfRealTime error
WARNING: LADSPAPluginFactory::discoverPlugins: couldn't dlopen /usr/lib64/ladspa/sifter_1210.so - /usr/lib64/ladspa/sifter_1210.so: undefined symbol: q_sort
LADSPAPluginFactory::discoverPlugins - done
Cannot lock down 42435354 byte memory area (Impossibile allocare memoria)
Cannot use real-time scheduling (RR/55)(1: Operazione non permessa)
JackClient::AcquireSelfRealTime error
JackEngine::XRun: client = rosegarden was not finished, state = Triggered
JackAudioDriver::ProcessGraphAsyncMaster: Process error
JackEngine::XRun: client = rosegarden was not finished, state = Triggered
JackAudioDriver::ProcessGraphAsyncMaster: Process error
JackEngine::XRun: client = rosegarden was not finished, state = Triggered
JackAudioDriver::ProcessGraphAsyncMaster: Process error
JackEngine::XRun: client = rosegarden was not finished, state = Triggered
JackAudioDriver::ProcessGraphAsyncMaster: Process error
JackEngine::XRun: client = rosegarden was not finished, state = Triggered
JackAudioDriver::ProcessGraphAsyncMaster: Process error
JackEngine::XRun: client = rosegarden was not finished, state = Triggered
JackAudioDriver::ProcessGraphAsyncMaster: Process error
JackEngine::XRun: client = rosegarden was not finished, state = Triggered
JackAudioDriver::ProcessGraphAsyncMaster: Process error
JackEngine::XRun: client = rosegarden was not finished, state = Triggered
JackAudioDriver::ProcessGraphAsyncMaster: Process error
JackEngine::XRun: client = rosegarden was not finished, state = Triggered
JackAudioDriver::ProcessGraphAsyncMaster: Process error
JackEngine::XRun: client = rosegarden was not finished, state = Triggered
JackAudioDriver::ProcessGraphAsyncMaster: Process error
JackEngine::XRun: client = rosegarden was not finished, state = Triggered
JackAudioDriver::ProcessGraphAsyncMaster: Process error
JackEngine::XRun: client = rosegarden was not finished, state = Triggered
JackAudioDriver::ProcessGraphAsyncMaster: Process error
JackEngine::XRun: client = rosegarden was not finished, state = Triggered
JackAudioDriver::ProcessGraphAsyncMaster: Process error
JackEngine::XRun: client = rosegarden was not finished, state = Triggered
JackAudioDriver::ProcessGraphAsyncMaster: Process error
JackEngine::XRun: client = rosegarden was not finished, state = Triggered
JackAudioDriver::ProcessGraphAsyncMaster: Process error
JackEngine::XRun: client = rosegarden was not finished, state = Triggered
JackAudioDriver::ProcessGraphAsyncMaster: Process error
JackEngine::XRun: client = rosegarden was not finished, state = Triggered
JackAudioDriver::ProcessGraphAsyncMaster: Process error
Cannot read socket fd = 11 err = Connection reset by peer
Could not read notification result
ClientNotify fails name = rosegarden notification = 2 val1 = 0 val2 = 0
Cannot write socket fd = 10 err = Broken pipe
JackRequest::ActivateClient write error ref = 2
Cannot write socket fd = 11 err = Broken pipe
CheckRes error
Could not write notification
ClientNotify fails name = rosegarden notification = 18 val1 = 0 val2 = 0
Cannot write socket fd = 11 err = Broken pipe
CheckRes error
Could not write notification
ClientNotify fails name = rosegarden notification = 18 val1 = 1 val2 = 0
Errore di segmentazione (core dump creato)
[carlo@localhost ~]$ Unknown error...
terminate called after throwing an instance of 'Jack::JackTemporaryException'
Comment 1 Fedora Update System 2016-02-14 23:50:31 EST
whysynth-dssi-20120903-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d7154d71f9
Comment 2 Orcan Ogetbil 2016-02-14 23:58:12 EST
The above update will clarify the undefined symbol error. I am not sure if it will be sufficient to fix the bug though. Need to test.
Comment 3 Fedora Update System 2016-02-17 01:29:48 EST
whysynth-dssi-20120903-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d7154d71f9
Comment 4 Fedora Update System 2016-02-26 02:23:54 EST
whysynth-dssi-20120903-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 5 Orcan Ogetbil 2016-03-08 21:05:21 EST
Could you please test if the issue still persists after updating your system?
Comment 6 Fedora End Of Life 2016-11-24 10:27:39 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2016-12-20 13:32:50 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.